// $Id: test_car.c,v 1.1 2017/04/25 18:46:37 leavens Exp $
#include <string.h>
#include "tap.h"
#include "testing_io.h"
#include "car.h"
static int test_read_not_for_you_to_implement() { // FOR TESTING ONLY
    for (int i = 0; i < 4; i++) {                 // NOT FOR YOU TO IMPLEMENT!
	car c = read_car("Car make (no spaces): ", "Car model (no spaces): ",
			 "Car year (4 digits, after 1899): ");
	printf("\nread car %d is: \"%s\"\n", i, car_to_string(c));
    }
    return EXIT_SUCCESS;
}

int main() {
    car camry = make_car("Toyota", "Camry", 2014);
    ok(camry != NULL);
    ok(strcmp(car_make(camry), "Toyota") == 0);
    ok(strcmp(car_model(camry), "Camry") == 0);
    ok(car_year(camry) == 2014);
    ok(strcmp(car_to_string(camry), "2014 Toyota Camry") == 0);
    car civic = make_car("Honda", "Civic", 2016);
    ok(civic != NULL);
    ok(strcmp(car_make(civic), "Honda") == 0);
    ok(strcmp(car_model(civic), "Civic") == 0);
    ok(car_year(civic) == 2016);
    ok(strcmp(car_to_string(civic), "2016 Honda Civic") == 0);
    car modelt = make_car("Ford", "Model T convertible", 1915);
    ok(strcmp(car_make(modelt), "Ford") == 0);
    ok(strcmp(car_model(modelt), "Model T convertible") == 0);
    ok(car_year(modelt) == 1915);
    ok(strcmp(car_to_string(modelt), "1915 Ford Model T convertible") == 0);
    testproc(test_read_not_for_you_to_implement, "test_car1");
    return exit_status();
}
