// $Id: test_bag_count.c,v 1.2 2017/04/25 20:57:02 leavens Exp $
#include <stdlib.h>
#include <string.h>
#include "tap.h"
#include "bag_count.h"
int main() {
    char *c_s = "cooked";
    int len = strlen(c_s);
    // make cooked be a string that is not pre-allocated
    char *cooked = (char *)malloc(len+1);
    strcpy(cooked, c_s);   // now cooked contains "cooked"
    bag testbag = (bag)malloc(sizeof(bag_t));
    if (testbag == NULL) { return 1; }
    char **testelems = (char **)malloc(sizeof(char *)*10);
    if (testbag == NULL) { return 1; }
    testbag->size = 10;
    testbag->elems = testelems;
    testbag->elems[0] = c_s;               testbag->elems[1] = cooked;
    testbag->elems[2] = "raw";             testbag->elems[3] = "soup";
    testbag->elems[4] = cooked;            testbag->elems[5] = "raw";
    testbag->elems[6] = "Zaphod";          testbag->elems[7] = c_s;
    testbag->elems[8] = "clams, stewed";   testbag->elems[9] = "stewed";
    ok(bag_count(c_s, testbag) == 4);
    ok(bag_count(cooked, testbag) == 4);
    ok(bag_count("raw", testbag) == 2);
    ok(bag_count("stewed", testbag) == 1);
    ok(bag_count("clams, stewed", testbag) == 1);
    ok(bag_count("fried", testbag) == 0);
    bag bag1 = (bag)malloc(sizeof(bag_t));
    char **elems1 = (char **)malloc(sizeof(char *));
    bag1->elems = elems1;
    bag1->elems[0] = cooked;
    bag1->size = 1;
    ok(bag_count("cooked", bag1) == 1);
    return exit_status();
}
